## apertium-es-ca 1.2.1+svn~57448

=== debian/changelog ===
apertium-es-ca (1.2.1+svn~57448-3) unstable; urgency=low

  [ Tino Didriksen ]
  * debian/control:
    + Update Build-Depends.
  * debian/copyright:
    + Fixed copyright.

  [ Kartik Mistry ]
  * Uploaded to unstable.
  * Rebuilt for apertium (> 3.3).

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jul 2015 18:39:46 +0530

apertium-es-ca (1.2.1+svn~57448-2) experimental; urgency=low

  * debian/control:
    + Fixed Vcs-* fields.

 -- Kartik Mistry <kartik@debian.org>  Sat, 11 Oct 2014 12:37:31 +0530

apertium-es-ca (1.2.1+svn~57448-1) experimental; urgency=low

  * New upstream SVN snapshot to fix regression with ca-es pair.
  * debian/control:
    + Updated Standards-Version to 3.9.6
    + Added missing Vcs-* fields.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Oct 2014 12:30:30 +0530

apertium-es-ca (1.2.1-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release. Updated configure.ac/Makefile.am to build correctly.
  * Updated debian/rules to use dh rules.

  [ Kartik Mistry ]
  * Added myself as Uploaders.
  * wrap-and-sort control and other files.
  * Added watch file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Sep 2014 13:49:31 +0530

apertium-es-ca (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild package to fix "Unknown error matching regexp" (Closes: #726590)

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Jul 2014 21:45:09 +0000

apertium-es-ca (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Added depends with apertium-pcre2

 -- Francis Tyers <ftyers@prompsit.com>  Sun, 01 Mar 2009 21:12:33 +0000

apertium-es-ca (1.0.5-2) unstable; urgency=low

  * Fixed build-depends (Closes: #447462)

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 22 Oct 2007 16:25:09 +0100

apertium-es-ca (1.0.5-1) unstable; urgency=low

  * Licence changed to GPL
  * Depends on apertium-3.0

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 08 Oct 2007 08:51:46 +0100

apertium-es-ca (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #320934)

 -- Francis Tyers <f.tyers@uea.ac.uk>  Mon, 18 Sep 2006 21:42:00 +0100
